> ## Documentation Index
> Fetch the complete documentation index at: https://docs.evolink.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Gemini 3.5 Flash - Native API - Schnellstart

> - Aufruf des gemini-3.5-flash Modells im Google Native API-Format
- Synchroner Verarbeitungsmodus, Echtzeit-Antwort
- Minimale Parameter für einen schnellen Einstieg
- 💡 Mehr Funktionen benötigt? Siehe [Vollständige API-Referenz](./native-api-reference)

<Tip>
  **Streaming**: Ersetzen Sie `generateContent` durch `streamGenerateContent` in der URL, um Streaming-Antworten zu aktivieren und Inhalte in Echtzeit-Chunks zu empfangen.
</Tip>

<Note>
  **BaseURL**: Die Standard-BaseURL ist `https://direct.evolink.ai` und bietet bessere Unterstützung für Textmodelle sowie persistente Verbindungen. `https://api.evolink.ai` ist der primäre Endpunkt für multimodale Dienste und dient bei Textmodellen als Ausweichadresse.
</Note>


## OpenAPI

````yaml de/api-manual/language-series/gemini-3.5-flash/native-api/native-api-quickstart.json POST /v1beta/models/gemini-3.5-flash:generateContent
openapi: 3.1.0
info:
  title: Gemini Native API - Schnellstart
  description: >-
    Starten Sie mit der Google Gemini Native API und führen Sie Ihr erstes
    KI-Gespräch in 5 Minuten
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://direct.evolink.ai
    description: Produktion (empfohlen)
  - url: https://api.evolink.ai
    description: Alternative URL
security:
  - bearerAuth: []
tags:
  - name: Inhaltsgenerierung
    description: Gemini KI-Inhaltsgenerierungs-APIs
paths:
  /v1beta/models/gemini-3.5-flash:generateContent:
    post:
      tags:
        - Inhaltsgenerierung
      summary: gemini-3.5-flash Schnellchat
      description: >-
        - Aufruf des gemini-3.5-flash Modells im Google Native API-Format

        - Synchroner Verarbeitungsmodus, Echtzeit-Antwort

        - Minimale Parameter für einen schnellen Einstieg

        - 💡 Mehr Funktionen benötigt? Siehe [Vollständige
        API-Referenz](./native-api-reference)
      operationId: generateContentQuick
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GenerateContentQuickRequest'
      responses:
        '200':
          description: Inhalt erfolgreich generiert
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenerateContentResponse'
        '400':
          description: Ungültige Anfrageparameter
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 400
                  message: Ungültige Anfrageparameter
                  type: invalid_request_error
        '401':
          description: Nicht authentifiziert, ungültiger oder abgelaufener Token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 401
                  message: Invalid or expired token
                  type: authentication_error
        '402':
          description: Unzureichendes Kontingent, Aufladung erforderlich
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 402
                  message: Unzureichendes Kontingent
                  type: insufficient_quota_error
                  fallback_suggestion: https://evolink.ai/dashboard/billing
        '403':
          description: Zugriff verweigert
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 403
                  message: Access denied for this model
                  type: permission_error
        '404':
          description: Ressource nicht gefunden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 404
                  message: Model not found
                  type: not_found_error
        '429':
          description: Ratenlimit überschritten
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 429
                  message: Ratenlimit überschritten
                  type: rate_limit_error
                  fallback_suggestion: retry after 60 seconds
        '500':
          description: Interner Serverfehler
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 500
                  message: Interner Serverfehler
                  type: internal_server_error
                  fallback_suggestion: try again later
        '502':
          description: Upstream-Dienstfehler
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 502
                  message: Upstream AI service unavailable
                  type: upstream_error
                  fallback_suggestion: try again later
        '503':
          description: Dienst vorübergehend nicht verfügbar
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 503
                  message: Dienst vorübergehend nicht verfügbar
                  type: service_unavailable_error
                  fallback_suggestion: retry after 30 seconds
components:
  schemas:
    GenerateContentQuickRequest:
      type: object
      required:
        - contents
      properties:
        contents:
          type: array
          description: Liste der Gesprächsinhalte
          items:
            $ref: '#/components/schemas/ContentSimple'
          minItems: 1
          example:
            - role: user
              parts:
                - text: Hello, please introduce yourself
    GenerateContentResponse:
      type: object
      properties:
        candidates:
          type: array
          description: Liste der Kandidatenantworten
          items:
            $ref: '#/components/schemas/Candidate'
        promptFeedback:
          $ref: '#/components/schemas/PromptFeedback'
        usageMetadata:
          $ref: '#/components/schemas/UsageMetadata'
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: integer
              description: HTTP-Status-Fehlercode
            message:
              type: string
              description: Fehlerbeschreibung
            type:
              type: string
              description: Fehlertyp
            fallback_suggestion:
              type: string
              description: Ausweichvorschlag bei Fehler
    ContentSimple:
      type: object
      required:
        - role
        - parts
      properties:
        role:
          type: string
          description: Inhaltsrolle
          enum:
            - user
          example: user
        parts:
          type: array
          description: Liste der Inhaltsteile (Klartext)
          items:
            $ref: '#/components/schemas/TextPart'
          minItems: 1
    Candidate:
      type: object
      properties:
        content:
          $ref: '#/components/schemas/ContentResponse'
        finishReason:
          type: string
          description: Abschlussgrund
          enum:
            - STOP
            - MAX_TOKENS
            - SAFETY
            - RECITATION
            - OTHER
          example: STOP
        index:
          type: integer
          description: Kandidatenindex
          example: 0
        safetyRatings:
          type: array
          nullable: true
          description: Sicherheitsbewertungen
          items:
            type: object
    PromptFeedback:
      type: object
      properties:
        safetyRatings:
          type: array
          nullable: true
          description: Prompt-Sicherheitsbewertungen
          items:
            type: object
    UsageMetadata:
      type: object
      description: Nutzungsstatistiken
      properties:
        promptTokenCount:
          type: integer
          description: Anzahl der Tokens in der Eingabe
          example: 4
        candidatesTokenCount:
          type: integer
          description: Anzahl der Tokens in der Ausgabe
          example: 611
        totalTokenCount:
          type: integer
          description: Gesamtanzahl der Tokens
          example: 2422
        thoughtsTokenCount:
          type: integer
          description: Anzahl der Reasoning-Tokens
          example: 1807
        promptTokensDetails:
          type: array
          description: Detaillierte Eingabe-Token-Informationen (nach Modalität)
          items:
            $ref: '#/components/schemas/TokenDetail'
    TextPart:
      type: object
      required:
        - text
      properties:
        text:
          type: string
          description: Textinhalt
          example: |-
            Hello! I'm glad to introduce myself.

            I'm a large language model trained and developed by Google...
    ContentResponse:
      type: object
      properties:
        role:
          type: string
          description: Antwortrolle
          enum:
            - model
          example: model
        parts:
          type: array
          description: Antwort-Inhaltsteile
          items:
            $ref: '#/components/schemas/TextPart'
    TokenDetail:
      type: object
      description: Token-Details (nach Modalität)
      properties:
        modality:
          type: string
          description: Inhaltsmodalitätstyp
          enum:
            - TEXT
            - IMAGE
            - AUDIO
            - VIDEO
          example: TEXT
        tokenCount:
          type: integer
          description: Anzahl der Token für diese Modalität
          example: 4
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        ##Alle APIs erfordern Bearer-Token-Authentifizierung##


        **API-Schlüssel erhalten:**


        Besuchen Sie die
        [API-Schlüsselverwaltungsseite](https://evolink.ai/dashboard/keys), um
        Ihren API-Schlüssel zu erhalten


        **Zum Anfrage-Header hinzufügen:**

        ```

        Authorization: Bearer YOUR_API_KEY

        ```

````